Jump to content

Search the Community

Showing results for tags 'linetype'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

  1. I've created my first line type (woohoo!) but the rotated V that I used as an "arrow" won't center and I'm having a difficult time understanding why so that I can fix it. I am aware that linetypes like the one I created exist but I wanted the arrows a specific size and distance apart which I couldn't do with the existing linetypes available to me (also I really wanted to try creating a custom one). In the attached picture: -the green line is the finished custom linetype -the red lines are polylines -the blue text is rotated 90 degrees, set to a text style titled Linetype (simplex font, not annotative, height set to 0 and width set to 1.0), and Justify set to Bottom Center linetypes-Model.pdf The finished linetype code is: *STREAM_LINE_W_ARROW_BIG,Stream_Line_W_Arrow_Big A,.392629,["V",Linetype,y=-.07619,s=.2,u=90],.207371,-.144393,.011213,-.138787,.011213,-.138787,.011213,-.144393,.392629,["V",Linetype,y=-.07619,s=.2,u=90],.207371 Also, this the first time I've attached a picture, I'm not sure that I did it correctly, please excuse my lack of know-how on this. I will look into it further for future use. Any help is greatly appreciated and thank you in advance!
  2. haynesc87

    Script > Linetype Replace

    Hello all The Situation is as follows : I wish to have a script that can be run on 1000+ drawings to do the following : Load a New Defined Linetype .... "NewLineType000" Select all layers that = NOT Continuous & = Colour 8 > Replace Linetype with "NewLineType000" Can anyone help me out please, many thanks in advance Chris
  3. I have utilized the "old school" Flow Line Lintetype (with the ARROW that is never really centered) for many years I have been trying to acquire the preferred FlowLine Arrow Linetype (complex with the arrow shape) So far, I have not succeeded. What is the easiest way to obtain/create this preferred linetype ? (arrow directions change with the driection of the polyline)....
  4. I want to make a lintype where line starts with a point and ends with the point and in between is continuous line. Space from points to line should be 1 or 0.5 units depending on the scale I want to plot my drawing in. Just in case there is somekind of confusion about how it should look like there is an image in the attachments. If anyone knows how to do it, pease help!
  5. Why is it that sometimes works and sometimes does not work? What contributes to this happen? I intend to apply the routine to change the scale factor of linetypes. (defun c:ls (/ ns a n i b1 c d b2) (setvar "cmdecho" 0) (setq ns (getreal "\nNew Scale: ")) (setq a (ssget)) (setq n (sslength a)) (setq i 0) (repeat n (setq b1 (entget (ssname a i))) (setq i (1+ i)) (setq c (assoc 48 b1)) (setq d (cons (car c) ns)) (setq b2 (subst d c b1)) (entmod b2) ) (princ) ) (prompt "\nType: LS")
  6. Sorry if this is a repost, although I doubt it. Can't hurt. As part of our Confuse-a-CAD-Monkey policy, we change our standards on every project. We had a custom linetype for silt fence years ago, which looked something like this: Unfortunately, every one of those pointy bits had to be drawn by hand, or at least copied, along an erratic border. I came up with a dynamic block (my first), but it was kinda clunky. Then we switched to a different linetype. Now we've switched back. I came up with a custom shape and put it in a complex linetype. If anyone wants it, here's the shape definition (in my.shp): *001,5,SILT 018,011,01F,018,0 Compile it as my.shx and put this in a .lin file. *SILTFENCE, silt fence -^--^--^--^- A,.25,[sILT,my.shx,s=.1],.25
  7. Hey guys, I've been running both AutoCAD 2009 and 2010 for the last year almost - and I had noticed that the linetypes (specifically HIDDEN) are displayed differently in each version. The linetypes are not symmetrical in 2010. Please see attached image and .DWG for examples. http://dl.dropbox.com/u/69601613/LINE.dwg Does anyone know what controls this? Or how i can fix it? Thanks for any help.
  8. barry2104

    Revcloud linetype

    Hi all I'm not sure if this is at all possible, but if you know either way, please provide insight! I wonder whether any of you have a LINETYPE you could share (preferably as a dwg, or alternatively share the code with me?). this would be more useful than a REVCLOUD element, as it would be not only faster to draw, but would also overcome SCALE problems. at the moment i have a plan drawing with some amended areas clouded. I also have detailed drawings (different scale, i.e. 1:50 instead of 1:500) of some particular/tricky areas, in which I also want to see these revclouds. At the moment all I can think of is to have to create two separate REVCLOUD elements and assign each to a different layer (one for the 500 and one for the 50 scales), so i can turn them off/on where required. BUT if i had a LINETYPE, which displayed a continuously cloudy-looking boundary, then I would avoid a lot of mess. Ideally I'd simply type in PL (Polyline), trace my around amendment-boundary, then assign this polyline this new linetype/layer property and it would be finished, and would automatically adjust the curve length of each of the cloud puffs whenever I adjust the scale. is this at all possible??
  9. Hello community! My love for this forum keeps growing, so here I am again. Today's issue... I made a custom line type called EX (for existing pipes) which looks a little bit like this: - - - EX - - - EX - - - EX - - - Line works great when I draw from left to right. However, when I draw a line from RIGHT to LEFT, the text displays upside down a little bit like this: - - - X3 - - - X3 - - - X3 - - - ("3" representing the mirror image of "E") Same applies when drawing from bottom to top, or top to bottom. I totally understand the behavior here, and TBH I think it's OK it behaves that way. But some people at work blablabla... (you know the drill). Let's say I'm drawing existing water pipes going in all directions with a polyline. Is there a way to make the text display upward no matter what direction the pline is going? Thanks
  10. I am having an issue with the "upright" script in my ltype descriptions. Apparently it works the way it is supposed to and not the way I want it to. The upright is set to 0 which orients the text in linetypes to be shown as "upright" to the model space. In most design cases; not an issue, but I am designing construction plans along a roadway and as such, north is not always "upright" to my viewport. Is there a script (ie ...,u=v],... or ...,u=vp],...) that will orient my text based on the line displayed in the viewport? Thanks
  11. rosierosiepinksocks

    curved zigzags

    Hi, I am new to autocad and new to forums so please be nice! I need to draw a curved zigzag with rounded points in autocad. I have managed to draw a curved zigzag with the zigzag linetype but it has gone gappy due to the curve and i cant fillet the points. I have managed to draw a straight zigzag and fillet the points. I don't know how to draw a curved zigzag accurately on here. Can someone help me please!? Rosie
  12. Good Day I am looking to get the linetype name from the AutoCAD LineType dialog Box, as shown below: I want to use the LineType name - the code i have generated only returns the ID as a string - unable to find what parameter will return the line name as a string?? [size=2][/size][size=2][color=#0000ff][size=2][color=#0000ff]Private[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]Sub[/color][/size][/color][/size][size=2] But_LTCon_Click([/size][size=2][color=#0000ff][size=2][color=#0000ff]ByVal[/color][/size][/color][/size][size=2] sender [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] System.Object, [/size][size=2][color=#0000ff][size=2][color=#0000ff]ByVal[/color][/size][/color][/size][size=2] e [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] System.EventArgs) [/size][size=2][color=#0000ff][size=2][color=#0000ff]Handles[/color][/size][/color][/size][size=2] But_LTCon.Click [/size][size=2][color=#0000ff][size=2][color=#0000ff]Dim[/color][/size][/color][/size][size=2] xLineType [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]String[/color][/size][/color][/size] [size=2]xLineType = ShowLineTypeDialog() Txt_LTCon.Text = xLineType.ToString LtypeCon = xLineType.ToString [/size][size=2][color=#0000ff][size=2][color=#0000ff]End[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]Sub [/color][/size][/color][/size] [size=2][/size][size=2][color=#0000ff][size=2][color=#0000ff]Public[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]Function[/color][/size][/color][/size][size=2] ShowLineTypeDialog() [/size][size=2][color=#0000ff][size=2][color=#0000ff]Dim[/color][/size][/color][/size][size=2] acDoc [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] Document = Application.DocumentManager.MdiActiveDocument [/size][size=2][color=#0000ff][size=2][color=#0000ff]Dim[/color][/size][/color][/size][size=2] acCurDb [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] Database = acDoc.Database [/size][size=2][color=#0000ff][size=2][color=#0000ff]Dim[/color][/size][/color][/size][size=2] xLIneTypeDialog [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]New[/color][/size][/color][/size][size=2] LinetypeDialog() [/size][size=2][color=#0000ff][size=2][color=#0000ff]Dim[/color][/size][/color][/size][size=2] dr [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] System.Windows.Forms.DialogResult dr = xLIneTypeDialog.ShowDialog() [/size][size=2][color=#0000ff][size=2][color=#0000ff]If[/color][/size][/color][/size][size=2] dr = Windows.Forms.DialogResult.OK [/size][size=2][color=#0000ff][size=2][color=#0000ff]Then [/color][/size][/color][/size][size=2][/size][size=2][color=#0000ff][size=2][color=#0000ff]Dim[/color][/size][/color][/size][size=2] SelLineType [/size][size=2][color=#0000ff][size=2][color=#0000ff]As[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]String[/color][/size][/color][/size] [size=2]SelLineType = xLIneTypeDialog[color=red][b].Linetype[/b][/color].ToString ([color=red]Returns ID want the Name?[/color][color=black])[/color] [/size][size=2][color=#0000ff][size=2][color=#0000ff]Return[/color][/size][/color][/size][size=2] SelLineType [/size][size=2][color=#0000ff][size=2][color=#0000ff]ElseIf[/color][/size][/color][/size][size=2] dr = Windows.Forms.DialogResult.Cancel [/size][size=2][color=#0000ff][size=2][color=#0000ff]Then [/color][/size][/color][/size][size=2][/size][size=2][color=#0000ff][size=2][color=#0000ff]Return[/color][/size][/color][/size][size=2] [/size][size=2][color=#a31515][size=2][color=#a31515]"Cancell" [/color][/size][/color][/size][size=2][/size][size=2][color=#0000ff][size=2][color=#0000ff]End[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]If [/color][/size][/color][/size][size=2][/size][size=2][color=#0000ff][size=2][color=#0000ff]End[/color][/size][/color][/size][size=2] [/size][size=2][color=#0000ff][size=2][color=#0000ff]Function [/color][/size][/color][/size] Any Help - Much Appreciated Regards CaveMan
  13. Morning all, I am very very new to autocad and trying to solve an issue I have at work regarding line types not showing up correctly. I have several .dwg files which I attach using XREF so that I can ensure I have the latest versions combined. The problem is that the line types do not show up correctly. After looking up on google I have found that this is a problem due to it being a 3d model rather than it being flat. I managed to half solve the issue by inserting each drawing into one, then exploding the whole image. Then changing the scale in the bottom right to around 1:200 to make the line types visible. My problem is this ends up being alot of work as the separate drawings can be updated daily. Is it possible to have all the drawings Xref'd in and to be able to have the scale changed to be able to read the line types? I tried to save the XREF setup as a template, then just bind all the drawings into one, explode and change the scale. But for some reason this doesnt work for me. I end up with just solid lines, rather than line types. I don't think it helps that the drawings are made up of several lines, all of different length. (This I have been told is why the scales do not appear correctly) I have been shown one method to work around this, which is to open the Xref drawings, explode them, then take each section of line and manually change each scale to the biggest that shows up. A very painful process when I might need to do it everyday!!! Any help would be appreciated.
  14. Ok, so I have this drawing that I just finished. There were a few dotted lines that were showing up correctly in model space. Then, when I switched over to paper space all of those lines were solid. I messed around with the option LTSCALE and set it to 0.01. This made the lines show up correctly in paper space, but now they are all messed up in model space. Is there an option to make it so they show up exactly the same in both model and paper space? Thanks
  15. MKearney028

    Daylight Subassembly Linetype

    When creating an assembly with daylight lines, I use the DaylightGeneral subassembly and add a material thickness to show the depth of the material. One thing I cannot figure out is how to change the linetype of the bottom of the material. The link code for the bottom line is "Datum", so if I change that in my code set style, then it will change all of the datum links to the different linetype. Does anyone know if there is a way to change this without creating a custom subassembly? Thanks.
  16. apost201

    Linetypes won't save

    I created 3 layer states, continuous, hidden, and dotted, for those respective linetypes. I created a drawing using each layer when appropriate. I saved, closed, and opened the file back up and the linetypes were all replaced with continuous (or hidden, etc. it just depended on which layer it opened on). Why is this? I've had this problem before but never figured it out. Why won't AutoCAD save my linetypes?
  17. Swales have always been finicky to draw with the proper annotation and it seems to be a common inquiry of forum users to find a code string that creates one automatically. I got sick of waiting and searching so I developed a code string that draws/repeats the squiggly line and triangle arrow annotation for me to make things faster and easier. It works (kind of) but it draws a continuous line over the swale symbols almost like a strike-through in MS Word (see attached image). I wouldn't mind it so much if it was a standard centreline symbol but my preference is for the "line" type to just be the repeating symbol and not have a line at all. Here is the code I've come up with (it is scaled to draw properly in inches--for metric scale the ltscale to 0.03937): *SWALE,Swale --> --> --> --> A,0,10,[sWALESYMBOL,swalesymbol.shx,x=1,s=1],65 I've saved it into my acad.lin file along with my swalesymbol.shx file which is just the squiggle and the arrowhead. When I draw a line or polyline using the linetype though I still get the solid line. Perhaps someone can post a reply that takes my code and tweaks it?
  18. Hi Was wondering if it was possible for me to have my dashed and centre lines constantly looking the same when I'm in MS and PS? at the moment my drawing is set up so that the lines print correctly and look right in PS but when I'm in model space they all look solid which is frustrating for the drawing I'm doing. I've had a look around and can't get anything to work Also my MSLTSCALE and are set to (1) Cheers
  19. Hopefully can find some advice on creating a linetype from the ANSI 31 hatch type (/////////) I've read the many posts about creating linetypes but just can't figure this out..So far Autocad just gives me an error when I try and use 1/2 of the code from ZIG ZAG linetype below. Below that is what I have thus far. Any help would be greatly appreciated..we use this all day long at work and was hoping to turn this into an mline so I could just pic a point a long a wall (only 4" walls needed) and drag along as needed. Thanks again! *ZIGZAG,Zig zag /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/ A,.0001,-.2,[ZIG,ltypeshp.shx,x=-.2,s=.2],-.4,[ZIG,ltypeshp.shx,r=180,x=.2,s=.2],-.2 ANSI31, ANSI31 //////////////////////////// A,.0001,-.2,[ANS,ltypeshp.shx,x=-.2,s=.2],-.4
  20. Has this ever happened to you? There's a complex linetype in your drawing. It looks fine until you try to plot it, when suddenly the shapes are gone. A treeline, for instance, turns into a row of dots. Bosses don't like that. I've checked the usual suspects. The linetype and shape definition files are in the proper folders. In this case the linetype is TREELINE_R from AeccLand.lin, which references the TREE shape in AeccLand.shx. The variables LTSCALE, MSLTSCALE, PSLTSCALE, and PLINEGEN don't affect it (usual values all = 1). I've researched the forum for clues. So far I've tried purging the linetype, then reopening the drawing, then restarting AutoCAD. It happens for different plotters, different drawings, even different companies. It sometimes clears up for no apparent reason.
  21. An AutoCAD 2004 drawing asks for a missing .shx file every time it opens. I read that I could use the `linetype` command, and delete any of the line types that are referencing the missing .shx file. In the linetype window, however, I don't see an obvious indication that any of these are referencing the file: http://img401.imageshack.us/img401/6046/screenshot8192010123219.jpg Any ideas?
  22. Hello all, I seem to be having a lot of trouble creating a linetype i just received on a set of drawings. its a thick line that thins out and back to thick kind of like long arrowheads back to back. Any idea how i could get that going on cad 2002? i've fooled around with the .lin file with no success. Thanks Matt
×
×
  • Create New...